# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v2.0.0](https://github.com/voxpupuli/puppet-gerrit/tree/v2.0.0) (2024-01-31)

[Full Changelog](https://github.com/voxpupuli/puppet-gerrit/compare/v1.0.2...v2.0.0)

**Breaking changes:**

- Drop Puppet 6 support [\#78](https://github.com/voxpupuli/puppet-gerrit/pull/78) ([bastelfreak](https://github.com/bastelfreak))
- drop Ubuntu 14.04 support [\#63](https://github.com/voxpupuli/puppet-gerrit/pull/63) ([bastelfreak](https://github.com/bastelfreak))
- modulesync 2.7.0 and drop puppet 4 [\#61](https://github.com/voxpupuli/puppet-gerrit/pull/61) ([bastelfreak](https://github.com/bastelfreak))

**Implemented enhancements:**

- Add Puppet 8 support [\#80](https://github.com/voxpupuli/puppet-gerrit/pull/80) ([bastelfreak](https://github.com/bastelfreak))
- puppetlabs/stdlib: Allow 9.x [\#79](https://github.com/voxpupuli/puppet-gerrit/pull/79) ([bastelfreak](https://github.com/bastelfreak))
- Fix config management, add SMTP [\#77](https://github.com/voxpupuli/puppet-gerrit/pull/77) ([uddr](https://github.com/uddr))
- Allow stdlib 8.0.0 [\#73](https://github.com/voxpupuli/puppet-gerrit/pull/73) ([smortex](https://github.com/smortex))

**Merged pull requests:**

- puppet-lint: fix top\_scope\_facts warnings [\#74](https://github.com/voxpupuli/puppet-gerrit/pull/74) ([bastelfreak](https://github.com/bastelfreak))
- Add puppet-strings docs [\#70](https://github.com/voxpupuli/puppet-gerrit/pull/70) ([baurmatt](https://github.com/baurmatt))
- modulesync 3.0.0 & puppet-lint updates [\#69](https://github.com/voxpupuli/puppet-gerrit/pull/69) ([bastelfreak](https://github.com/bastelfreak))

## [v1.0.2](https://github.com/voxpupuli/puppet-gerrit/tree/v1.0.2) (2018-10-20)

[Full Changelog](https://github.com/voxpupuli/puppet-gerrit/compare/v1.0.1...v1.0.2)

**Merged pull requests:**

- modulesync 2.1.0 and allow puppet 6.x [\#57](https://github.com/voxpupuli/puppet-gerrit/pull/57) ([bastelfreak](https://github.com/bastelfreak))

## [v1.0.1](https://github.com/voxpupuli/puppet-gerrit/tree/v1.0.1) (2018-09-06)

[Full Changelog](https://github.com/voxpupuli/puppet-gerrit/compare/v1.0.0...v1.0.1)

**Closed issues:**

- scheme needs to be specified one per line [\#4](https://github.com/voxpupuli/puppet-gerrit/issues/4)

**Merged pull requests:**

- allow puppetlabs/stdlib 5.x [\#54](https://github.com/voxpupuli/puppet-gerrit/pull/54) ([bastelfreak](https://github.com/bastelfreak))
- purge EOL Debian 7 from metadata.json [\#51](https://github.com/voxpupuli/puppet-gerrit/pull/51) ([bastelfreak](https://github.com/bastelfreak))
- Remove docker nodesets [\#49](https://github.com/voxpupuli/puppet-gerrit/pull/49) ([bastelfreak](https://github.com/bastelfreak))
- drop EOL OSs; fix puppet version range [\#48](https://github.com/voxpupuli/puppet-gerrit/pull/48) ([bastelfreak](https://github.com/bastelfreak))

## [v1.0.0](https://github.com/voxpupuli/puppet-gerrit/tree/v1.0.0) (2017-11-16)

[Full Changelog](https://github.com/voxpupuli/puppet-gerrit/compare/v0.4.0...v1.0.0)

**Merged pull requests:**

- bump puppet version dependency to \>= 4.7.1 \< 6.0.0 [\#42](https://github.com/voxpupuli/puppet-gerrit/pull/42) ([bastelfreak](https://github.com/bastelfreak))
- Add LICENSE file [\#38](https://github.com/voxpupuli/puppet-gerrit/pull/38) ([alexjfisher](https://github.com/alexjfisher))

## [v0.4.0](https://github.com/voxpupuli/puppet-gerrit/tree/v0.4.0) (2017-02-11)

This is the last release with Puppet3 support!
* Add minimal documentation
* Add missing contribution file
* Add missing badges
* rubocop: fix RSpec/ImplicitExpect
* Set minimum version_requirement for Puppet + dep

## 2016-08-19 Release 0.3.0

* Initial release in the VoX Pupuli namespace (module provided by roidelapluie)
* Modulesync with latest Vox Pupuli defaults


\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
